Ubuntu

aptd crashed with UnboundLocalError in _emit_acquire_item(): local variable 'lang' referenced before assignment

Reported by SignedAdam on 2012-04-02
This bug affects 811 people
Affects Status Importance Assigned to Milestone
Aptdaemon
Undecided
Unassigned
aptdaemon (Ubuntu)
High
Unassigned

Bug Description

IMPORTANT
---
Please do not change the status of this bug unless you know what you are doing.

The fix for this bug has already been identified and will be released soon. There is no need to comment if you only wish to say that you're still experiencing this bug.

I expect the fix to be released on Tuesday, the 10th of April.
---

Ubuntu 12.04 Beta 2 64 bit
Error happened after upgrade,

ProblemType: Crash
DistroRelease: Ubuntu 12.04
Package: aptdaemon 0.43+bzr790-0ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-21.34-generic 3.2.13
Uname: Linux 3.2.0-21-generic x86_64
ApportVersion: 2.0-0ubuntu2
Architecture: amd64
CrashCounter: 1
Date: Mon Apr 2 20:32:47 2012
DesktopFile: /usr/share/aptdaemon/aptdaemon.desktop
ExecutablePath: /usr/sbin/aptd
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta amd64 (20120328)
InterpreterPath: /usr/bin/python2.7
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/sbin/aptd
ProcEnviron:

PythonArgs: ['/usr/sbin/aptd']
SourcePackage: aptdaemon
Title: aptd crashed with UnboundLocalError in _emit_acquire_item(): local variable 'lang' referenced before assignment
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

SignedAdam (signedadam) wrote :
tags: removed: need-duplicate-check
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in aptdaemon (Ubuntu):
status: New → Confirmed
visibility: private → public
Changed in aptdaemon (Ubuntu):
importance: Undecided → High
sony-qs (sony-qs) wrote :

affected me on updating resources ... after a partial apt-get upgrade!
Seems to be fixed after complete upgrade ... now!

Mathieu Cossette (mcossette) wrote :

Affect me again . . . after partial upgrade. Seems to happen from time to time.

Roy H Huddleston (archspader) wrote :

I was working with my graphics cards. I have an XFX 1 GB PCI-e running my Dell 22 inch monitor on dvi and my Dell 17 inch monitor. On my first PCI I have the ATI Radeon 64 MB graphics card running the Acer 19 inch monitor. The Acer is working now but the Nvidia is giving me troubles because it is saying no proprietary drivers are in use on this system. Probably not related.

1) Ubuntu 12.04 LTS Beta 2 (nightly build)

2) aptdaemon: Installiert: 0.43+bzr790-0ubuntu1

The bug was just triggered here by starting the update-manager and after pressing "check for updates".

Greg Faith (gregfaith) wrote :

Just got the bug after a clean testing installation of Lubuntu precise amd64 current daily 20120402.
I was testing another bug on pcmanfm. "Check for updates" got me as well in Update Manager.

Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/971839

tags: added: iso-testing

And again here. For me it shows up after a clean installation from the "alternate desktop version 32 bit" of Ubuntu. And it is triggered with every call of the update-manager.

John Costella (jpcostella) wrote :

Occurred on clean install of 12.04 beta 2 64-bit. Update Manager generally working but threw this once.

Just got this twice after pressing "Check for updates" once.

Sebastian Heinlein (glatzor) wrote :

The bug will be fixed with the next upload of aptdaemon. Sorry for the trouble.

Changed in aptdaemon:
status: New → Fix Released
Changed in aptdaemon (Ubuntu):
status: Confirmed → Fix Committed
Alessandro Isaia (alex69) wrote :

the bug report says: <<Architecture: amd64>> but I'm running a 32bit System

Baldrick (bheath-nz) wrote :

I'm running a 32bit system too, same prob. Happened after reboot following after update using update manager.
Usually use terminal yo update/upgrade, so not aware if this is a regular occurrence.

Tanupy ume (tanupy) wrote :

me 2

SignedAdam (signedadam) on 2012-04-03
description: updated
CSRedRat (csredrat) wrote :

Me. Ubuntu 12.04b2 under Server Hyper-V 2008 R2 SP1.

wilsonb (wilsonb) wrote :

Ubuntu 12.04 (precise)
3.2.0-21-generic-pae (#34-Ubuntu SMP Thu Mar 29 22:33:16 UTC 2012)
1.11.3 (30 March 2012 01:52:14AM)
Intel(R) Atom(TM) CPU N550 @ 1.50GHz
Intel N10 Asus 1015PEM

Happens at log in /boot up

Michael Staengl (mistang) wrote :

same like user wilsonb

Mikko (mikkokoo) wrote :

Crash when opening "system update to date".

Same here. First upgrade was fine, but after checking for updates again error shows up.

adm (alexm-) wrote :

happens during installation of y-ppa-manager from getdeb.net

Antoni Kudelski <email address hidden> schrieb:

>Same here. First upgrade was fine, but after checking for updates again
>error shows up.
>
>--
>You received this bug notification because you are a member of
>Aptdaemon
>Developers, which is subscribed to aptdaemon in Ubuntu.
>https://bugs.launchpad.net/bugs/971839
>
>Title:
> aptd crashed with UnboundLocalError in _emit_acquire_item(): local
> variable 'lang' referenced before assignment
>
>To manage notifications about this bug go to:
>https://bugs.launchpad.net/aptdaemon/+bug/971839/+subscriptions

Hello. There isn't any futher input required. The problem is already located and will be fixed as soon as possible. Cheers, sebastian
--
Diese Nachricht wurde von meinem Android-Mobiltelefon mit K-9 Mail gesendet.

Number7 (jbwyatt4) wrote :

Can confirm. Crashes when I plug in my headphones into the audio jack. (Sound transfers to the headphones as I plug in partially but once the jack is fully inserted in crashes.) Sound mutes with both the speakers and the headphones, but returns to the speakers once the jack is unplugged.

The app report bug didn't come up at first-but I used sudo apt-get upgrade -d to get all updates to install (the kernel packages and a few others).

I'm new to reporting bugs so please provide terminal commands if you want any debugging information.

Wayne Sexton II (waynesbox) wrote :

Bug occurred during an update session. Seems to also occurr after a request to check for updates.

SteveDude (stevedude-) wrote :

Same as noted above: Bug occurred during an update session. Seems to also occurr after a request to check for updates.

gackthugo (gackthugo) wrote :

Crashed when searching for new updates. - ubuntu 12.04 beta2

Andrei (andrei-doom) wrote :

Fix released ? I've updated all packages prior to reboot, then I checked again, boom; crash. So,uhm what fix was that again ? Released ? In thin air maybe.

Changed in aptdaemon (Ubuntu):
assignee: nobody → Eliézer José Lonczynski (eliezerjrs)
papukaija (papukaija) on 2012-04-04
Changed in aptdaemon (Ubuntu):
assignee: Eliézer José Lonczynski (eliezerjrs) → nobody
Sleep Less (not-really) wrote :

Hit me just now *after* daily upgrade (a few minutes ago) & (necessary) reboot...

Karma Dorje (taaroa) wrote :

crash when searching for new updates. i can't reproduce it again.
and after upgrade and reboot i can't reproduce it.

Elthommo (elthommo) wrote :

This is happening on start-up - 32bit Lubuntu 12.04

Andrei (andrei-doom) wrote :

This is getting pretty much idiotic, fast. Changing bug status because even after ANOTHER set of updates, it is still not fixed. Dunno who the hell thinks this is STILL FIXED, but I'm telling you: IT ISN'T !

Changed in aptdaemon (Ubuntu):
status: Fix Committed → Confirmed
Oleg Aliev (oleg-h-aliev) wrote :

Ждём стабильный выпуск Ubuntu 12.04 64 или 32

Michal Rudolf (mrudolf) wrote :

Confirmed, the bug is still there.

Oleg Aliev (oleg-h-aliev) wrote :

Проблема с поиском обновлений. Часто появляются ошибки.

Shahar Or (mightyiam) wrote :

Dear Andrei,

You did the right thing by changing the status.

Please refrain from harsh language <3 .

Dear Oleg,

English please :) Pretty please :)

Thanks and Blessings,
Shahar

SignedAdam (signedadam) on 2012-04-04
Changed in aptdaemon:
status: Fix Released → New
Evan Huus (eapache) wrote :

Please note the difference between the status 'Fix Committed' and 'Fix Released'. 'Fix Committed' simply means that the fix has been identified by the developers and dumped into the source code repository. It does *not* mean that the fix is available via the normal update channels. When a new version of the package with this fix is released via updates, the status will change to 'Fix Released'.

Changed in aptdaemon (Ubuntu):
status: Confirmed → Fix Committed
Evan Huus (eapache) wrote :

Please also note the difference between the two bug targets: 'Aptdaemon' and 'aptdaemon (Ubuntu)'. 'Aptdaemon' refers to the upstream project, where this bug is 'Fix Released'. This is because upstream has released a new version with the fix for this bug included. 'aptdaemon (Ubuntu)' refers to the version in Ubuntu, which is still only 'Fix Committed' because that new version hasn't yet been included. As per @glatzor's several comments, however, it will be soon.

Changed in aptdaemon:
status: New → Fix Released
description: updated
Neal Gamradt (ngamradt-d) wrote :

I received this error shortly after logging in an starting the update manager. I had no other applications running.

dFlyer (ggaribaldi) wrote :

I also received this error shortly after logging in.

tags: added: bugpattern-needed
Ehcor8 (guyroche08) wrote :

I was looking for new updates with the selector "gestionnaire de mises à jour" and it finds 208 item

A+

Changed in aptdaemon (Ubuntu):
status: Fix Committed → Fix Released
Changed in aptdaemon (Ubuntu):
status: Fix Released → Fix Committed
Bumblebee (darko-blazev) on 2012-04-05
Changed in aptdaemon (Ubuntu):
assignee: nobody → Bumblebee (darko-blazev)
assignee: Bumblebee (darko-blazev) → nobody
description: updated
Cobus (cobus-gj) on 2012-04-06
Changed in aptdaemon (Ubuntu):
status: Fix Committed → Fix Released
Changed in aptdaemon (Ubuntu):
status: Fix Released → Fix Committed
Changed in aptdaemon (Ubuntu):
status: Fix Committed → Confirmed
status: Confirmed → New
Changed in aptdaemon (Ubuntu):
status: New → Confirmed
Evan Huus (eapache) on 2012-04-06
Changed in aptdaemon (Ubuntu):
status: Confirmed → Fix Committed
description: updated
Ernest Kudron (kudron2) on 2012-04-07
Changed in aptdaemon (Ubuntu):
status: Fix Committed → Fix Released
Changed in aptdaemon (Ubuntu):
status: Fix Released → In Progress
Changed in aptdaemon (Ubuntu):
status: In Progress → Fix Committed
Darius (da-wiele) on 2012-04-08
Changed in aptdaemon (Ubuntu):
status: Fix Committed → Fix Released
Changed in aptdaemon (Ubuntu):
status: Fix Released → Fix Committed
affects: aptdaemon (Ubuntu) → software-center-aptdaemon-plugins (Ubuntu)
Changed in software-center-aptdaemon-plugins (Ubuntu):
assignee: nobody → Hans Dirk Haarhaus (hdh-1703)
Logan Rosen (logan) on 2012-04-08
affects: software-center-aptdaemon-plugins (Ubuntu) → aptdaemon (Ubuntu)
Changed in aptdaemon (Ubuntu):
assignee: Hans Dirk Haarhaus (hdh-1703) → nobody
Steve Langasek (vorlon) on 2012-04-08
tags: added: rls-p-tracking
61 comments hidden view all 141 comments
shailender (shailender) wrote :

got this error while trying to install adobe flash plugin through software center.

Georg Anachorlis (anach) wrote :

Problem happened before and after upgrade..
System if important: intel core2duo quad 2.3 Mhz ( Q 8200 ), ATI 6770 Grafikcard, Asus MB p5g41t-m lx

anatoly techtonik (techtonik) wrote :

It will be helpful guys, if you insert references to closing commits here. My subjective opinion after 12.04 switch that this update architecture is rather crappy and it would be nice to see if it is at least can be covered by tests.

lindsey wylde (lwylde100) wrote :

Still happening fairly consistently..

nauni1977 (nauni1977) wrote :

It happened directly after restart. I did only start firefox and thunderbird ... nothing else. All current updates are installed.

Grek-336 (kult01) wrote :

Crashed when Update-Manager is running.

userdce (userdce) wrote :

totally updated precise
happened when was downloading in Software Center

Anders Wirén (anders-wiren) wrote :

Hello!
Make sure that when it is stated, it's 64 bit version that has problems. I'm running i386 (32 bit) version and have similar problem.
Dimonen fails for no apparent reason even though the system was idle.
Anders

Changed in aptdaemon (Ubuntu):
status: Fix Committed → Fix Released
hamid (hamidskyone) on 2012-04-10
Changed in aptdaemon (Ubuntu):
assignee: nobody → hamid (hamidskyone)
Changed in aptdaemon:
assignee: nobody → hamid (hamidskyone)

i dont know.

Karma Dorje (taaroa) wrote :

stop reopening the bug. and this is also no discussion forum. go somewhere else. © Ulrich Drepper

Logan Rosen (logan) wrote :

Interesting. I am not receiving this crash anymore when checking for updates (with the latest updates installed), but the package was updated in Ubuntu 8 days ago. Can anybody else please confirm that this crash is no longer occurring?

Changed in aptdaemon (Ubuntu):
assignee: hamid (hamidskyone) → nobody
Changed in aptdaemon:
assignee: hamid (hamidskyone) → nobody
reinhard müller (nuggluhu) wrote :

Had just booted, selectet updatemanager and then it produced the error.

Wes Shaddix (wshaddix) wrote :

Just updated, rebooted and upon login selected "Software Up To Date" from login menu. Got error when updatemanager opened up.

nick (jonesnick17771) wrote :

Still getting this error after today's update fix

Toby Kelly (tobyboot) wrote :

Still getting this error after today's update.

Changed in aptdaemon (Ubuntu):
status: Fix Released → Fix Committed
Rishi Gadhok (rishigadhok) wrote :

It's 10th April, and I still got the same error.
Isn't there a way of knowing what package should've been installed for this bug to go away?
I don't know if the update has been pushed yet.

Benni Tampubolon (bennlucky7) wrote :

getting this error when trying to update from source center in ubuntu tweak

vishal goswami (goswamivm) wrote :

i don't know whether or not it is the same bug , but whenever i click on "report" crash , it points to this bug, and i have updated my system and there was never a problem while updating, but my system frequently gets halted after the signing in dialog , and it is still happening even after installing all the updates, it is xubuntu 12.04 beta2 amd64.

Nekhelesh Ramananthan (nik90) wrote :

I face the same issue. Whenever i click on "report" crash , it points to this bug, and i have updated my system.

I tried to update and I got this same for me as well but two times report request came. This is first. for second I'm attaching screen shot.

shailender (shailender) wrote :

happens after I login in to system for 1st time.

Brian Murray (brian-murray) wrote :

This will be fixed in this version of aptdaemon:

aptdaemon (0.43+bzr805-0ubuntu1) precise;

MasterNetra (designerkline) wrote :

Occured for me while installing from Software Center. Beta 2, 32bit, clean install, fully updated at the time of this comment.

Perryg (phalbert) wrote :

Humm,

Synaptic shows version 0.43+bzr805-0ubuntu1 after my last update was installed and the issue is still there.

Question; Is there a way to reliably get an update to this issue? Seriously, I knew girls in school that didn't tease as much about being able to get it. It's commited, It's released, it's commited, Etc.

Ernest Kudron (kudron2) wrote :

came after fixed released, did not work. Crashed when checking for updates.

Sascha Jazbec (jazbec) on 2012-04-11
Changed in aptdaemon:
assignee: nobody → Sascha Jazbec (jazbec)
Logan Rosen (logan) on 2012-04-11
Changed in aptdaemon:
assignee: Sascha Jazbec (jazbec) → nobody
Karma Dorje (taaroa) wrote :

aptdaemon (0.43+bzr805-0ubuntu1) precise; urgency=low
  - Fix wrong variable names in the download progress (fixes LP: #971839,
      LP: #976521)

Am Mittwoch, den 11.04.2012, 00:39 +0000 schrieb Ernest Kudron:
> came after fixed released, did not work. Crashed when checking for
> updates.

Please make sure that the latest version of aptdaemon has been installed
(0.43+805). If you are not downloading from the main archive it can take
some time before your download mirror has been updated and provides the
latest version of aptdaemon.

Furthermore please close software-center and wait more than 5 minutes.
Aptdaemon will shutdown and the new version will be started the next
time.

After update the problem seems to be fixed, thanks!

I did however also threw away neglected crash reports from /var/crash, probably not necessary but cleans up so nicely :)

Ant Dickens (antonydickens) wrote :

Lubuntu 12.04

Happened during update using Update Manager

Changed in aptdaemon (Ubuntu):
status: Fix Committed → Fix Released
Franck (alci) wrote :

Just happened again after upgrading (on main servers) at 12:32 CET on monday 12/04/2012.
Aptdaemon package version is 0.43+bzr805-0ubuntu1

Ron Steed (ronsteed-o) wrote :

Could someone remind me how long after fix-released status does the fix show up in a normal apt-get upgrade?

Thanks!

Evan Huus (eapache) wrote :

@ronsteed-o Depends on how long the change takes to build and propagate to whichever mirror your using. The change is already on the main (Canonical-hosted) mirror, so most other mirrors shouldn't be far behind. Note that the bug may appear one more time after applying the fix if you still have an old apt-daemon instance running. Restarting aptdaemon after updating will clear it.

I just want to report that I just updated five minutes ago, rebooted, immediately got the System Error popup after logging in, clicked to report this bug, and it sent me here. So, if the fix has been released, I didn't get it.

Actually, manually restarting apt-daemon immediately brings up the following error and bug report: https://bugs.launchpad.net/ubuntu/+source/aptdaemon/+bug/450662 ,but that doesn't affect normal use.

Upon rebooting, the former bug is fixed, and I suppose the latter is not important. So, thanks.

Sebastian Heinlein (glatzor) wrote :

Am Donnerstag, den 12.04.2012, 14:29 +0000 schrieb Ron Steed:
> Could someone remind me how long after fix-released status does the fix
> show up in a normal apt-get upgrade?

https://launchpad.net/ubuntu/+archivemirrors

Patriek Lesparre (patriekl) wrote :

After update, rebooted and once desktop showed, immediately system error occured.

Zeckman1138 (mike-humphs) wrote :

Same as everyone else..

Also using 0.43+bzr805-0ubuntu1 of the aptdaemon. Shortly after logging in, crash occurs on OS starting an automatic update. Same error pops up while running updater.

Sean Feole (sfeole) wrote :

ii aptdaemon 0.43+bzr805-0ubuntu1

After update, rebooted and once desktop showed, immediately system error occured.

Changed in aptdaemon:
assignee: nobody → Svetozar Dimitrov (zaretza)
Logan Rosen (logan) on 2012-04-13
Changed in aptdaemon:
assignee: Svetozar Dimitrov (zaretza) → nobody
Jim Leinweber (jiml-mail) wrote :

still seeing it on 4/18 after freshly updating

Philip Stark (hellerbarde) wrote :

I seem to have gotten it just now. just after upgrading. If i can help in any way, please let me know.

Displaying first 40 and last 40 comments. View all 141 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers